import React from 'react';
import ReactDOM from 'react-dom';
import { Provider } from 'react-redux';
import { ToastContainer } from 'react-toastify'
import 'react-toastify/dist/ReactToastify.css';

import 'seat-map-view/dist/index.css'

import {App} from './containers';
import {store} from './store';
import * as serviceWorker from './serviceWorker'

// styles
import './index.css';

ReactDOM.render(
    <Provider store={store}>
         <App />
         <ToastContainer />
    </Provider>,
    document.getElementById('seat-reservation-map')
 );

serviceWorker.unregister()
