const fs = require(`fs`)

function normalizeJSON(fileName = 'venue') {
  const dirName = process.cwd()
  const jsonPath = '/example/src/assets/map_samples'

  fs.readFile(dirName + `${jsonPath}/${fileName}.json`, (err, data) => {
    if (err) {
      throw err
    }

    const parsedData = JSON.parse(data.toString())

    parsedData.seatmap.forEach((group) => {
      group.children &&
        group.children.forEach((row, rowIndex) => {
          row.id = `${row.id.split('-')[0]}-${rowIndex + 1}`
          row.children.forEach((seat, i) => {
            seat.id = `${row.id}:${i + 1}`
          })
        })
    })

    parsedData.groups.forEach((group) => {
      group.groups &&
        group.groups.forEach((row, rowIndex) => {
          row.id = `${row.id.split('-')[0]}-${rowIndex + 1}`
          row.units.forEach((seat, i) => {
            seat.id = `${row.id}:${i + 1}`
          })
        })
    })

    const postfix = '_normalized'
    const filePath = dirName + `${jsonPath}/${fileName}${postfix}.json`
    fs.writeFile(filePath, JSON.stringify(parsedData), 'utf8', (err) => {
      if (err) throw err
      console.log(
        `Done!!! \n***\nNormalized JSON's path is: ${filePath}\n***\n`
      )
      return true
    })
  })
}

module.exports.normalizeJSON = normalizeJSON
