import {takeLatest, put } from 'redux-saga/effects';
import {NOTIFY} from "../actions/actionTypes";
import {cancelAllAndReserveSeatStart} from "../actions/seatMapActions";

function confirm(message) {
  return new Promise((resolve, reject) => {
    window.bootbox.confirm(message, resolve)
  })
}

function* notify({payload}) {
  const {type, message, seat} = payload;

  if (type === "alert") {
    yield window.bootbox.alert(message)
  } else if (type === "confirm") {
    const result = yield confirm(message)
    if (result) {
      seat.setLoading()
      yield put(cancelAllAndReserveSeatStart(seat))
    }
  }
}

function *notificationSaga() {
  yield takeLatest(NOTIFY, notify)
}


export {notificationSaga}
