const express = require('express');
const fs = require('fs');
const app = express();
const port = 4000;

app.use(express.json());

app.use(function (req, res, next) {
  res.header("Access-Control-Allow-Origin", "*");
  res.header("Access-Control-Allow-Methods", "GET,POST,PUT,DELETE,OPTIONS");
  res.header("Access-Control-Allow-Headers", "Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
  next();
});


app.use('/papaya', express.static(__dirname + '/papaya'));

app.get('/api/event/2370/seats/status/', (req, res) => {
  const rawData = fs.readFileSync('test_node_api/statuses.json');
  res.json(JSON.parse(rawData));
});

app.post('/api/event/2370/seats/reserve/', async (req, res) => {
  const {tierId, seatId} = req.body.data;
  const data = JSON.parse(fs.readFileSync('test_node_api/statuses.json'));
  const statuses = data.data.attributes;
  const [groupRowId, seatIndex] = seatId.split(":");
  statuses[groupRowId][seatIndex] = "OR";
  fs.writeFileSync('test_node_api/statuses.json', JSON.stringify(data));
  const ownReservations = [];
  Object.keys(statuses).forEach(groupRowId => {
    Object.keys(statuses[groupRowId]).forEach(seatIndex => {
      if(statuses[groupRowId][seatIndex] === "OR") {
        ownReservations.push(`${groupRowId}:${seatIndex}`);
      }
    })
  });
  setTimeout(() => {
    res.json({"ownReservations": JSON.stringify(ownReservations)});
  }, 1500)
});

app.delete('/api/event/2370/seats/delete-reserved/', (req, res) => {
  const {tierId, seatIds} = req.body.data;
  const data = JSON.parse(fs.readFileSync('test_node_api/statuses.json'));
  const statuses = data.data.attributes;
  seatIds.forEach(seatId => {
    const [groupRowId, seatIndex] = seatId.split(":");
    statuses[groupRowId][seatIndex] = "A";
  });

  fs.writeFileSync('test_node_api/statuses.json', JSON.stringify(data));
  const ownReservations = [];
  Object.keys(statuses).forEach(groupRowId => {
    Object.keys(statuses[groupRowId]).forEach(seatIndex => {
      if(statuses[groupRowId][seatIndex] === "OR") {
        ownReservations.push(`${groupRowId}:${seatIndex}`);
      }
    })
  });
  res.json({"ownReservations": JSON.stringify(ownReservations)});
});

app.listen(port, () => console.log(`Example app listening on port ${port}!`));
